classification
Title: imp.lock_held() "Changed in Python 3.3" mention accidentally one function up
Type: Stage: needs patch
Components: Documentation Versions: Python 3.3
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: docs@python Nosy List: brett.cannon, docs@python, pitrou, python-dev
Priority: normal Keywords:

Created on 2012-06-12 20:20 by brett.cannon, last changed 2012-07-13 15:27 by brett.cannon. This issue is now closed.

Messages (3)
msg162694 - (view) Author: Brett Cannon (brett.cannon) * (Python committer) Date: 2012-06-12 20:20
If you look at http://docs.python.org/dev/py3k/library/imp.html#imp.get_tag you will notice it has the "Changed in Python 3.3" notice for imp.lock_held() in it, the function *below* imp.get_tag().
msg162696 - (view) Author: Antoine Pitrou (pitrou) * (Python committer) Date: 2012-06-13 00:26
Well, if the versionchanged were for get_tag(), it would be indented appropriately. But it is actually for the "The following functions help interact with the import system’s internal locking mechanism" paragraph.

Feel free to improve :)
msg165389 - (view) Author: Roundup Robot (python-dev) Date: 2012-07-13 15:26
New changeset c09f454af2c6 by Brett Cannon in branch 'default':
Issue #15053: Make sure all functions related to the import lock have
http://hg.python.org/cpython/rev/c09f454af2c6
History
Date User Action Args
2012-07-13 15:27:19brett.cannonsetstatus: open -> closed
resolution: fixed
2012-07-13 15:26:27python-devsetnosy: + python-dev
messages: + msg165389
2012-06-13 00:26:46pitrousetmessages: + msg162696
2012-06-12 20:20:45brett.cannoncreate